Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_TCP_Properties Class Reference

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_TCP_Properties:

[legend]
Collaboration diagram for TAO_TCP_Properties:

[legend]
List of all members.

## Public Methods
| TAO_TCP_Properties (CORBA::Long send_buffer_size=ACE_DEFAULT_MAX_SOCKET_BUFSIZ, CORBA::Long recv_buffer_size=ACE_DEFAULT_MAX_SOCKET_BUFSIZ, CORBA::Boolean keep_alive=1, CORBA::Boolean dont_route=0, CORBA::Boolean no_delay=1)
| Constructor. More...
virtual CORBA::Long | send_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | send_buffer_size (CORBA::Long send_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Long | recv_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | recv_buffer_size (CORBA::Long recv_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Boolean | keep_alive (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | keep_alive (CORBA::Boolean keep_alive ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Boolean | dont_route (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | dont_route (CORBA::Boolean dont_route ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Boolean | no_delay (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | no_delay (CORBA::Boolean no_delay ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
| This method writes a CDR representation of TCPProtocolProperties. More...
virtual CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
| This method reads the object state from a CDR representation. More...
## Protected Methods
virtual | ~TAO_TCP_Properties (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
## Private Attributes
CORBA::Long | send_buffer_size_
CORBA::Long | recv_buffer_size_
CORBA::Boolean | keep_alive_
CORBA::Boolean | dont_route_
CORBA::Boolean | no_delay_

## Constructor & Destructor Documentation

TAO_TCP_Properties::TAO_TCP_Properties | ( | CORBA::Long | send_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ,
|  | CORBA::Long | recv_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ,
|  | CORBA::Boolean | keep_alive = 1,
|  | CORBA::Boolean | dont_route = 0,
|  | CORBA::Boolean | no_delay = 1
| ) |

| Constructor.

TAO_TCP_Properties::~TAO_TCP_Properties | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

CORBA::Boolean TAO_TCP_Properties::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| This method reads the object state from a CDR representation.

CORBA::Boolean TAO_TCP_Properties::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| This method writes a CDR representation of TCPProtocolProperties.

void TAO_TCP_Properties::dont_route | ( | CORBA::Boolean dont_route | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Boolean TAO_TCP_Properties::dont_route | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_TCP_Properties::keep_alive | ( | CORBA::Boolean keep_alive | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Boolean TAO_TCP_Properties::keep_alive | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_TCP_Properties::no_delay | ( | CORBA::Boolean no_delay | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Boolean TAO_TCP_Properties::no_delay | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_TCP_Properties::recv_buffer_size | ( | CORBA::Long recv_buffer_size | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Long TAO_TCP_Properties::recv_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_TCP_Properties::send_buffer_size | ( | CORBA::Long send_buffer_size | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Long TAO_TCP_Properties::send_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

CORBA::Boolean TAO_TCP_Properties::dont_route_`[private]`

CORBA::Boolean TAO_TCP_Properties::keep_alive_`[private]`

CORBA::Boolean TAO_TCP_Properties::no_delay_`[private]`

CORBA::Long TAO_TCP_Properties::recv_buffer_size_`[private]`

CORBA::Long TAO_TCP_Properties::send_buffer_size_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp